      program dejpl15mm
C........................................................Apr. 2020
C 1) extract GIM-TEC IONEX from JPLI for 00, 15, 30, 45 min =>d:\web\dtm\tcMNDDUTMM.jYR
C........................................................Jan. 2019
C JPL maps 1 x 1 glat x glon; 00, 15, 30, 45 minutes
C output : ...jYR
C+Output 
C
C
C Enter dy1,dy2
C .......................................................
C Geographic JPLI grids maps for glats=-89.5.0,-88.5,...,88.5, 89.5 (1 to 180 lines)
C                         glongs=-179.5, -178.5,..., 0.5,1.5,...,179.5 (1 to 360 cols.)
C
      DIMENSION IM(12)
      integer IYR,IMN,IDY,IUT
	+,nndy !Maps available for idy1 to idy2;
 	CHARACTER*2 AYR
	+,AUT,AMN,ADY
	+,AYRI,AMM ! minute
	CHARACTER*1 ft
      DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
C
C
      ft='t'  ! TEC-map
C

	WRITE(*,*)' ENTER YR OF INPUT FILE=	'
	read(*,17) AYR
	read(AYR,*) ryr
	IYR=int(ryr)   ! current yr
	if (iyr.lt.90) then
	iyyyy=2000+iyr
	              else
	iyyyy=1900+iyr
	endif
	z1=iyyyy/4.0
      jz=int(z1)*4

      IF(jz.EQ.iyyyy) THEN
               IM(2)=29
	dnr=366.
        ELSE
                IM(2)=28
	  	dnr=365.
	       ENDIF
C
        imn1=1
	imn2=12
	if (iyyyy.eq.2023) then
	imn1=2
	imn2=4
	endif
	DO 1333 imn=imn1,imn2        !+++++++++++++++++++
C
   13 FORMAT(I2)
C
	call blet2(IDYS,ADY)
 201	CONTINUE		 ! cycle on days
	AYRI=AYR
   17 format (A2)
C
	nndy=im(imn)
	call blet2(imn,amn)  ! current month
C
C Day-to-day cycle
C
  	   DO 500 idy=1,nndy
	call blet2(idy,ADY)
C
C  Start cycle on UT		=======================================================================
C
C     	 infile1='d:\web\dts\YY\MM\ttMMDDUT.eYY'   ! preceding mn
C
      DO 300 iut=0,23   ! norm
CREM	 iut=23   ! temp
	call blet2(iut,AUT)
C add 
		ut=float(iut)
C
C Start cycle on minutes
C
      DO 301 imm=0,45,15	  ! norm
CREM	 imm=45  ! temp
	
      call blet2(imm,AMM)

C
C start cycle on day-to-day for current mon  ======================================
C

  490 format(1X,' year=',I2,' month=',I2,' day=',I2,' ut=',I2)
C
C Current month ONLY FOR ONE DAY
	call blet2(iyr,AYR)
C
C
C 
	CALL subreadmm2(ayr,amn,ady,aut,amm)
C
  301 CONTINUE		! end MIN cycle
C            write(*,*) ' yr=',AYR,'  mn=',AMN,' dy=',ADY,' UT=',AUT 
	 
  300 CONTINUE		! end UT cycle
C
  500 continue   ! end day-by-day cycle     !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
      GOTO 102
    2 CONTINUE
	       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
	   	pause ' '
    5	iend=1
  102	continue
            write(*,*) ' yr=',AYR,'  mn=',AMN,' dy2=',nndy 
 1333	continue
	pause ' ' 
      STOP
	END
