      program jpliwgmm
C..........................................................Jan 2020
C Produce W(TEC) index maps fro 1 x 1 JPLI files and -15d median
C	(byr,bmn,bdy,but,bmm,yy)
C
C read extended JPL files
      dimension yy(360),iym(360),IM(12),iwg(360)
	  character*48 infile1,infile2,outfile
	character*2 BYR,BMN,BDY,BUT,BMM
	DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
C
	do k=1,180
	yy(k)=0.
	enddo
C TEC
	 infile1='d:\UTEC\2000\MN\tiMMDDUTMM.jYY' 
C -15d median TECq
      infile2='d:\web\dem\YR\MN\tmNNDDUTMM.jYY'
C
C Annual cycle
       DO 50 iyr=0,17 ! 2000-2017 JPLI files
	write(*,*) ' Year=',iyr
	call blet2(iyr,byr)
 	infile1(11:12)=byr
 	infile1(29:30)=byr
 	infile2(12:13)=byr
 	infile2(30:31)=byr
		z1=iyr/4.0
      jz=int(z1)*4
      IF(jz.EQ.iyr) THEN
               IM(2)=29
        ELSE
                IM(2)=28
	       ENDIF
C
C Monthly cycle
       DO 51 imn=1,12
	write(*,*) ' ',imn
	call blet2(imn,bmn)
	infile1(14:15)=bmn
	infile1(19:20)=bmn
	infile2(15:16)=bmn
	infile2(20:21)=bmn
       mndy=im(imn)
C Daily cycle
      idy1=1
	if ((iyr.eq.0).and.(imn.eq.1)) idy1=15
       DO 52 idy=idy1,mndy
	write(*,*) ' ',idy
	call blet2(idy,bdy)
	infile1(21:22)=bdy
	infile2(22:23)=bdy
C UT cycle
       DO 53 iut=0,23
	call blet2(iut,BUT)
	infile1(23:24)=but
	infile2(24:25)=but
C MIN cycle
       DO mm=0,45,15
	call blet2(mm,BMM)
	infile1(25:26)=bmm
	infile2(26:27)=bmm
C
       outfile=infile2
	outfile(8:10)='dlg'
      outfile(18:19)='wg'

   17	FORMAT(360(1X,F4.1))		   
   18	FORMAT(360(1X,I4))		   
	OPEN(10,FILE=INFILE1,action='READ')
	OPEN(11,FILE=INFILE2,action='READ')
	OPEN(12,FILE=OUTFILE)
C
	do i=1,180
	READ (10,17,END=16,ERR=2) (yy(k),k=1,360)
	READ (11,18,END=15,ERR=2) (iym(k),k=1,360)
	do k=1,360
	xpar=yy(k)
	xmed=iym(k)/10.0
      call windex(xpar,xmed,delog,iw)
	iwg(k)=iw
	enddo
C	write(*,18) (iwg(k),k=1,360)
	write(12,18) (iwg(k),k=1,360)
		enddo
   16	close(unit=10)
   15 close(unit=11)
	close(unit=12)
	ENDDO            ! mm cycle
C
   53 CONTINUE  ! UT
   52 CONTINUE  ! Day
   51 CONTINUE  ! MN
   50 CONTINUE  ! YR
	 GOTO 54
    2 CONTINUE
	       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
   54	   	pause ' '
	STOP
	END