C.........................................................Aug. 2018
C JPL maps 1 X 1 glat X glon 
C.........................................................Feb. 2015
C
c VERIFICATION OF MEDIAN ================
      subroutine smed7mm(CC,SMED)
C
C Median smed, for -6+1 days at specified hour+00,15,30,45min
C
C Input file: CC(ndnr,360) for ndnr days, 
C ncol=360 for longitudes -179.5:1:179.5 or ncol=360 for hours UT=0,1,...,23. MIN=00, 15, 30, 45
C Number days for median : ndnr=15	(14 preceding days+current day)
C Output arrays: SMED(360) for longitudes -179.5:1:179.5 
C                 STD1(360),STD2(360)
C
	DIMENSION CC(7,360),SMED(360)
C-	+,STD1(360),STD2(360)
	+,X1(7),X2(7)
C-    +,STD(360)
C--		COMMON /BL1/CC,SMED,STD,STD1,STD2
C "MEDIAN:"
	ncol=360
C	ndnr=15
	ndnr=7
       DO 1030 M=1,ncol
      MM=0
C Add calculation of average:
	aver=0.
      DO N=1,ndnr
      X1(N)=CC(N,M)
C-	aver=aver+x1(n)
      ENDDO 
C-	aver=aver/ndnr
  880 XX=0.
CREM MAX X1(N)
  890 DO N=1,ndnr
  900 IF (XX.lt.X1(N)) THEN 
      XX=X1(N)
	ENDIF
      ENDDO      !N
  920 IF (XX.eq.0) GOTO 980
C
  930 DO 960 N=1,ndnr
      IF (X1(N).lt.XX) GOTO 960
      MM=MM+1 
      X2(MM)=XX 
	X1(N)=0.
  960 CONTINUE      ! N
  970 IF (MM.lt.NDNR) GOTO 880
  980 XMM=FLOAT(MM)
      XD1=XMM/2.
      ND1=INT(XD1)
	CD1=FLOAT(ND1) 
      ND2=ND1+1 
      IF (CD1.LT.XD1) THEN 
	XMD=X2(ND2)
	else
	XMD=(X2(ND1)+X2(ND2))/2.
	ENDIF
C
      SMED(M)=XMD
C Standard deviation:
C-	sumneg=0.
C-	sumpos=0.
C-	icntpos=0
C-	icntneg=0
C-	avneg=0.
C-	avpos=0.
C-	iavneg=0
C-	iavpos=0
C-	do ii=1,ndnr
C-	if (x2(ii).gt.xmd) then
C-	sumpos=sumpos+(x2(ii)-xmd)**2
C-	icntpos=icntpos+1
C-	endif
C-	if (x2(ii).lt.xmd) then
C-	sumneg=sumneg+(x2(ii)-xmd)**2
C-	icntneg=icntneg+1
C-	endif
C-	if (x2(ii).gt.aver) then
C-	avpos=avpos+(x2(ii)-aver)**2
C-	iavpos=iavpos+1
C-	endif
C-	if (x2(ii).le.aver) then
C-	avneg=avneg+(x2(ii)-aver)**2
C-	iavneg=iavneg+1
C-	endif
C-	enddo
C-	STD(M)=0.0
C-	STD1(M)=0.0
C-	STD2(M)=0.0
C-	if ((icntneg+icntpos).gt.0) then
C-	STD(M)=sqrt((sumneg+sumpos)/(icntneg+icntpos))
C-	else
C-	if((iavneg+iavpos).gt.0) STD(M)=sqrt((avneg+avpos)/
C-	&(iavneg+iavpos))
C-	endif
C-	if (icntneg.gt.0) then 
C-	if (iavneg.gt.0) STD1(M)=sqrt(sumneg/icntneg)
C-	else
C-	if (iavneg.gt.0) STD1(M)=sqrt(avneg/iavneg)
C-	endif
C-	if (icntpos.gt.0) then 
C-	STD2(M)=sqrt(sumpos/icntpos)
C-	else
C-	if (iavpos.gt.0) STD2(M)=sqrt(avpos/iavpos)
C-	endif
C-	if (std1(m).eq.0.0) STD1(M)=STD(M)
C-	if (std2(m).eq.0.0) STD2(M)=STD(M)
 1030 CONTINUE
C 
c
 1050 RETURN
      END