      subroutine subjpltec(ayear,amn,ady)
C..........................................................Mar 2022
C Match unknown JPL GIM-TEC to GIM-W map of UPS for given day
C input: d:\graf\dwu\YY\MN\ut\wcmmddut00.uYR
C input: d:\graf\dtc\YY\MN\ut\tammddut.jYR
C output:d:\graf\dtc\YY\MN\ut\tummddut.jYR
C
      character*2 ayr,amn,aut
      character*45 infilet,infilew,outfile
	character*4 AYEAR
	dimension iw(0:72),tec(0:72),teca(0:72),dtec(9),idw(9),ites(0:72)
	DATA idw/-4,-3,-2,-1,0,1,2,3,4/
	DATA dtec/0.50,0.59,0.79,0.95,1.0,1.05,1.26,1.69,2.0/
C
       infilet='d:\graf\dtc\YY\MN\ut\tammddut.jYR'
	 infilew='d:\graf\dwu\YY\MN\ut\wcmmddut00.uYR'
	 outfile='d:\graf\dtc\YY\MN\ut\tummddut.jYR'
      AYR=AYEAR(3:4)
	infilet(13:14)=AYR
	infilew(13:14)=AYR
	outfile(13:14)=AYR
	infilet(16:17)=AMN
	infilew(16:17)=AMN
	outfile(16:17)=AMN
	infilet(24:25)=AMN
	infilew(24:25)=AMN
	outfile(24:25)=AMN
	infilet(26:27)=ADY
	infilew(26:27)=ADY
	outfile(26:27)=ADY
	infilet(32:33)=AYR
	infilew(34:35)=AYR
	outfile(32:33)=AYR
C
C Cycle on UT
C
   30	format(73(1X,F4.1))
   31	format(73(1X,I4))
      DO 50 iut=0,23
	call blet2(iut,AUT)
	infilet(28:29)=AUT
	infilew(28:29)=AUT
	outfile(28:29)=ADY
C
        OPEN(11,file=infilet,action='READ')
	OPEN(12,file=infilew,action='READ')
	OPEN(13,file=outfile)
C
C cycle on LATI
      DO 51 lat=1,71
	read(11,30,end=52) (teca(k),k=0,72)
	read(12,31,end=53) (iw(k),k=0,72)
	do k=0,72
	do i=1,9
	if (iw(k).eq.idw(k)) then
      tec(k)=teca(k)*10.0**dtec(k)
	ites(k)=nint(tec(k)*10.)
	exit
	endif
	enddo
	enddo
	write(*,31) (ites(k),k=0,72)
	write(13,31) (ites(k),k=0,72)
   51 continue
   52 close(11)
   53 close(12)
      close(13)
   50 CONTINUE
C
      RETURN
	END

