      subroutine subpianiaWmm(YEAR,AMN,ADY)
C.........................................................Dec 2021
C WU, WL, WE indices from 15min geogr UQRG-W maps
C
C.........................................................Dec. 2020
C Include weight e(glat)
C
C.........................................................Nov. 2020
C Weighted PIA -pos ion activity, NIA - neg ion activity
C extracted from global Wc(TEC) index derived from JPL GIM-TEC (IONEX)
C for ADY_pre and forecast for DD2
C
	DIMENSION weg(4),IM(12),iwneg(0:96),iwpos(0:96),iwran(0:96)
	CHARACTER*128 INFILE,OUTFILEN,OUTFILEP,OUTFILER  !global weighted Wfp,Wfn,Wfr = range index
C-	+,indate 
	CHARACTER*2 AYR,AUT,AMN,ADY,AMM
	CHARACTER*4 YEAR,AUTOUT(0:95),AUTMM
	INTEGER ivsr(0:72) !  set of Wf indices for long=-10:5:180 at given lati
		DATA WEG/0.,0.6931,1.0986,1.3863/  ! =ln1, ln2, ln3, ln4
            DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
C
C-	indate='d:/web/graf/date'    !!! Tamara !!!!!!!	 
C-	open(10,file=indate)							 
C-	read(10,799) YEAR,AMN_cur,DD2,YEAR_pre,AMN_pre,ADY_pre,lda,lda_pre  !FORMAT NUMBER = 799
C-	WRITE(*,798) YEAR,AMN_cur,DD2,YEAR_pre,AMN_pre,ADY_pre,lda,lda_pre !FORMAT NUMBER = 798
C-	close(unit=10)
C-  798	format(' YEAR, AMN, DD2 = ',A4,2(1X,A2),1X,A4,2(1X,A2),2(1X,I3))
C-  799	format(A4,2(1X,A2),1X,A4,2(1X,A2),2(1X,I3))	
C
	nn=0
	do iut=0,23
	call blet2(iut,aut)
	AUTMM(1:2)=AUT
	do mm=0,45,15
	call blet2(mm,amm)
	AUTMM(3:4)=AMM
	autout(nn)=AUTMM
	nn=nn+1
	enddo
	enddo
      AYR=YEAR(3:4)  ! for current day  	
        read(AMN,*) rmn
	imn=int(rmn)
        read(ADY,*) rdy
	  	idy=int(rdy)
C
C--      infile='d:\web\graf\dwc\YY\MM\ut\wcMMDDUT.jYY'   ! current mn
C      infile='d:\web\dws\YY\MM\woMMDDUT.jYY'   ! current mn
      infile='d:\web\graf\dwu\YY\MM\ut\wcMMDDUTMM.uYY'   ! current mn
C	outfilen='wfnYR.txt'   ! Cnt(Wf-) 
C	outfilep='wfpYR.txt'   ! Cnt(Wf+) 
C	outfiler='wfrYR.txt'
      outfilen='d:\web\graf\datu\wlnYYmm.txt'   !  Cnt(W-) 	 WL
      outfilep='d:\web\graf\datu\wupYYmm.txt'   !  Cnt(W+) 	 WU
      outfiler='d:\web\graf\datu\werYYmm.txt'   !  Cnt(Wrange) WE
	nn=0
	do iut=0,23
	call blet2(iut,aut)
	autmm(1:2)=aut
	do mm=0,45,15
	call blet2(mm,amm)
	autmm(3:4)=amm
	autout(nn)=autmm
	nn=nn+1
	enddo
	enddo
C
   17 format(A2)
   31 FORMAT('YYMMDD',1X,96(1X,A4),2X,'DAY')
   32 FORMAT(73(1X,I4))
C
  330	CONTINUE
C      WRITE(*,*)' ENTER YR OF INPUT FILE=	'
C	read(*,17) AYR
	read(AYR,*) ryr
	IYR=int(ryr)   ! current yr
	if (iyr.lt.90) then
	iyyyy=2000+iyr
	              else
	iyyyy=1900+iyr
	endif
	z1=iyyyy/4.0
      jz=int(z1)*4

      IF(jz.EQ.iyyyy) THEN
               IM(2)=29
	dnr=366.
        ELSE
                IM(2)=28
	  	dnr=365.
	       ENDIF
	infile(17:18)=ayr
	infile(38:39)=ayr
	outfilep(21:22)=ayr
	outfilen(21:22)=ayr
	outfiler(21:22)=ayr
C
	OPEN(11,file=outfilep,access='APPEND')
	OPEN(12,file=outfilen,access='APPEND')
	OPEN(13,file=outfiler,access='APPEND')

C
C month
C
	infile(20:21)=amn
	infile(28:29)=amn
	mndy=im(imn)
C
C  Day
C
	infile(30:31)=ady
C
	IF ((AMN.eq.'01').and.(ADY.eq.'01')) THEN
	write(*,31) (autout(k),k=0,95)
	write(11,31) (autout(k),k=0,95)
	write(12,31) (autout(k),k=0,95)
	write(13,31) (autout(k),k=0,95)
	ENDIF
C  UT cycle
C
      DO k=0,96
	iwneg(k)=0
	iwpos(k)=0
	iwran(k)=0
	ENDDO
	 wdyp=0.
	wdyn=0.
	wdyr=0.
	nn=0
C
	DO 53 iut=0,23
	call blet2(iut,AUT)
      infile(32:33)=aut
C
C Minute cycle
C
	DO 200 imm=0,45,15
	call blet2(imm,AMM)
	infile(34:35)=amm
C
   	OPEN(10,file=infile,action='READ')
	sumn=0.		 ! count of Wf >=1
	sump=0.		 ! count of Wf <=-1
	icntp=0
	swegp=0.
      icntn=0
	swegn=0.
C
C/ cycle for lats:
       glat=-90.0	                  ! AD
	  do 54 ilat=1,71
	glat=glat+2.5				  ! AD
	elat=1.0+0.0001235*glat**2	  ! AD
	  read(10,32,end=153) (ivsr(k),k=0,72) 
C
	DO 333 ilon=0,72
          if (ivsr(ilon).gt.1) then
        iad=ivsr(ilon)
	sump=sump+elat*weg(iad)*ivsr(ilon)  ! AD
	icntp=icntp+1
	swegp=swegp+weg(iad)
	goto 333
	endif
          if (ivsr(ilon).lt.-1) then
        iad=-ivsr(ilon)
	sumn=sumn+elat*weg(iad)*ivsr(ilon)   ! AD
	icntn=icntn+1
	swegn=swegn+weg(iad)
	goto 333
	endif
  333	CONTINUE
   54 CONTINUE
  153    xpos=0.
      if (icntp.gt.0.) then
		xpos=sump/icntp		 ! /cnt(Wf+)
	endif
      xneg=0.
      if (icntn.gt.0.) then
			xneg=sumn/icntn	  ! /cnt(Wf-)
	endif
	xrange=xpos-xneg
	wdyp=wdyp+xpos
	wdyn=wdyn+xneg
      wdyr=wdyr+xrange
      iwneg(nn)=nint(xneg*100.)
	iwpos(nn)=nint(xpos*100.)
	iwran(nn)=nint(xrange*100.)
	nn=nn+1
	close(unit=10)
  200	CONTINUE           ! end 15min cycle
   53	CONTINUE           ! end UT cycle
       iwpos(96)=nint(wdyp/96.*100.)
	iwneg(96)=nint(wdyn/96.*100.)
	iwran(96)=nint(wdyr/96.*100.)
C+	write(*,33) AYR,AMN,ADY,(iwpos(k),k=0,96)
	write(11,33) AYR,AMN,ADY,(iwpos(k),k=0,96)
C+	write(*,33) AYR,AMN,ADY,(iwneg(k),k=0,96)
	write(12,33) AYR,AMN,ADY,(iwneg(k),k=0,96)
C+	write(*,33) AYR,AMN,ADY,(iwran(k),k=0,96)
	write(13,33) AYR,AMN,ADY,(iwran(k),k=0,96)
   33 format(3A2,96(1X,I4),2X,I4)
   52 CONTINUE  ! daily cycle
   51 CONTINUE  ! Monthly cycle
      close(unit=11)
	close(unit=12)
	close(unit=13)
C-      if (iyr.ne.20) GOTO 330
C      pause ' '
	RETURN
C	STOP
	END
