      subroutine subreadmm2(byr,bmn,bdy,but,bmm)
C.................................................April 2021
C
C read extended JPLI files
C extract/interpolate JPLI file to JPL IONEX format
C      dimension yy(180,360),zz(0:72),itec(0:72)
      dimension yy(360,180),zz(0:72),itec(0:72),glats(71)
	  character*48 infile,outfile
	character*2 BYR,BMN,BDY,BUT,BMM
	do i=1,180
	do k=1,360
	yy(k,i)=0.
	enddo
	enddo
	do k=0,72
	zz(k)=0.
	enddo
	glat=-90.0
	do k=1,71
 	glat=glat+2.5
	glats(k)=glat
	enddo

C
C	outfile='d:\web\dtm\YR\MN\tcMNDDUTMM.jYR'
	outfile='i:\web\dtm\YR\MN\tcMNDDUTMM.jYR'
	outfile(12:13)=BYR
	outfile(15:16)=BMN
	outfile(20:21)=BMN
	outfile(22:23)=BDY
      outfile(24:25)=BUT
	outfile(26:27)=BMM
	outfile(30:31)=BYR
	OPEN(11,file=outfile)
C
c	 infile='d:\UTEC\2000\MN\tiMMDDUTMM.jYY' 
      infile='i:\UTEC\2000\MN\tiMMDDUTMM.jYY' 
 	infile(11:12)=byr
	infile(14:15)=bmn
 	infile(29:30)=byr
	infile(19:20)=bmn
	infile(21:22)=bdy
	infile(23:24)=but
	infile(25:26)=bmm
   17	FORMAT(360(1X,F4.1))		   
   27	FORMAT(73(1X,I4))		   
C yy(360,180)
	OPEN(10,FILE=INFILE,action='READ')
	do i=1,180
	READ (10,17,END=16,ERR=2) (yy(k,i),k=1,360)
		enddo
   16	close(unit=10)
C
C interpolate to IONEX
C-       glat=-90.
C-       DO 300 klat=1,71	  ! IONEX glat-87.5:2.5:87.5 ++++++++++++++++++++++
C-	glat=glat+2.5         ! IONEX glat-87.5:2.5:87.5
       nglat=1
C
      aglat=-90.5
C      interpolate for glat,glon
C Linear Interpolation   JPLI agtat:	-89.5.0,-88.5,...,88.5, 89.5 (1 to 180 lines)
	do 161 ilat=1,180! select pair of lats-lines (k) & (k+1)  ===========
	glat=glats(nglat)
	aglat=aglat+1.0
	aglat2=aglat+1.0
c	
C
	if ((glat.ge.aglat).and.(glat.lt.aglat2)) then  !   <<<<1
C
C Select pair of longs embracing glong
C
      glon=-185.
      DO 301 klon=0,72 !glongs=-179.5, -178.5,..., 0.5,1.5,...,179.5 (1 to 360 cols.)
	glon=glon+5.0
	along=glon
C?	if (along.lt.0.) along=along+360.0
	if (klon.eq.0) then
	res11=yy(0,ilat)
	res12=yy(1,ilat)
	res21=yy(0,ilat+1)
	res22=yy(1,ilat+1)
	res1=res11+(res12-res11)/2.*(glon+179.5)
	res2=res21+(res22-res21)/2.*(glon+179.5)
	res=res1+(res2-res1)*(glat-aglat)
	goto 302
	endif
	if (klon.eq.72) then
	res11=yy(359,ilat)
	res12=yy(360,ilat)
	res21=yy(359,ilat+1)
	res22=yy(360,ilat+1)
	res1=res11+(res12-res11)/2.*(glon-179.5)
	res2=res21+(res22-res21)/2.*(glon-179.5)
	res=res1+(res2-res1)*(glat-aglat)
	goto 302
	endif
C
	 clon=-180.5
	do j=1,359 ! select pair of JPLI longs (j) & (j+1) ++++++++++++++
	clon=clon+1.0
	 aclon=clon
C?	if (clon.lt.0.) aclon=clon+360.
	aclon2=aclon+1.0
	IF (klon.lt.36) THEN									  !************
	 if ((along.ge.aclon).and.(along.lt.aclon2)) then  ! +++2
	res11=yy(j,ilat)
	res12=yy(j+1,ilat)
	res21=yy(j,ilat+1)
	res22=yy(j+1,ilat+1)
	res1=res11+(res12-res11)/2.*(along-aclon)
	res2=res21+(res22-res21)/2.*(along-aclon)
	res=res1+(res2-res1)*(glat-aglat)
	exit
	  endif
	  ELSE												! ***********
	 if ((along.ge.aclon).and.(along.lt.aclon2)) then  
	res11=yy(j,ilat)
	res12=yy(j+1,ilat)
	res21=yy(j,ilat+1)
	res22=yy(j+1,ilat+1)
	res1=res11+(res12-res11)/2.*(along-aclon)
	res2=res21+(res22-res21)/2.*(along-aclon)
	res=res1+(res2-res1)*(glat-aglat)
	exit
	endif											 ! +++2
	 ENDIF                             !************
	enddo	! end select pair of longs (j) & (j+1)		 .....................
  302  	zz(klon)=res      ! TEC
       itec(klon)=nint(res*10.)
  301 CONTINUE !end IONEX longs
C      write(*,27) (itec(k),k=0,72)
      write(11,27) (itec(k),k=0,72)
      nglat=nglat+1
	endif											 !   <<<<1
  161 continue		   ! interpolation end			  ==================
  300 CONTINUE !end IONEX lats					   ++++++++++++++++++++++++
      close(unit=11) 
C
	RETURN
    2 CONTINUE
	       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
	   	pause ' '
	RETURN
	END