C........................................................Dec.2022
C Decode JPLI 1x1 files 00, 15, 30, 45 min 
C input <c:\jplmaps\gethighresjpl\DATA\IONEX\YEAR\jpliDDD0.iYR> IONEX files:
C from glats [89.5:1:-89.5], glongs [-179:5:1:179.5] to produce normal TECmap 1x1 file
C Output:        lati:  -89.5, -88.5,...,0,...,89.5 ==> i=1,2,...180
C         longi:-179.5, -178.5,... 0...179.5 ==> j=0,...,359
C output <d:\UTEC\YEAR\tiMNDDUTMM.jYR>
C 
      PROGRAM decodjpl1x1
C
      dimension glats(180),glons(0:359)
	+,tec_cur(180,0:359)
      integer itec(180,0:359)

	CHARACTER*2 AYR,AMN,ADY,AUT,AMM
	+,rmn,rdy
      CHARACTER*128 INFILE,OUTFILE
	CHARACTER*24 btxt
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*4 AYEAR,RYEAR,NAME
	CHARACTER*80 txt,par
	CHARACTER*20 txt1,start,enddesc,epoch,tlats
	character*3 aday
	dimension txx(0:72),im(12)

	DATA  IM/31,28,31,30,31,30,31,31,30,31,30,31/
C++
C++
      ICALLS=0
	epoch='EPOCH OF CURRENT MAP'
	tlats='LAT/LON1/LON2/DLON/H'
	btxt='-179.5 179.5   1.0 450.0'
	enddesc='END OF HEADER       '
	start='START OF TEC MAP    '
	name='jpli' !
C
	CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C Ljuba = replace following comands by current year
CNORM	AYEAR=DD(1:4)                  !Tamara               NORM
CTEMP       AYEAR='2017' !TEMP
      	AYEAR='2023'	!TEMP
C+	write(*,*) ' Enter YEAR: '
C+	read(*,118) AYEAR
	write(*,*) AYEAR
		ayr=ayear(3:4)
	read(ayr,*) ryr
	iyr=int(ryr)
	read(ayear,*) xyear
	IYYYY=int(xyear)
	read(ayr,*) ryr
	iyr=int(ryr)
	infile='c:\jplmaps\gethighresjpl\DATA\IONEX\YEAR\jpliDDD0.YRi'
	infile(37:40)=AYEAR
	infile(51:52)=AYR
      outfile='d:\UTEC\YEAR\MN\tiMNDDUTMM.jYR'
	outfile(9:12)=AYEAR
	outfile(29:30)=AYR
C
C Ljuba = replace following comands by current month
		WRITE(*,*) 'Enter AMN for input: '  !Tamara
	 	read(*,*) AMN					   !Tamara
	outfile(14:15)=AMN
	outfile(19:20)=AMN
C	AMN=DD(5:6)               !Tamara
	write(*,*) amn
 	read(amn,*) xmn
	imn=int(xmn)
C
		idayy=365
	      IM(2)=28
        if(iyr/4*4.eq.iyr) then
	  idayy=366
	   	 IM(2)=29
	  endif

C Ljuba = replace 2 following comands by last available data-DAY
C+		WRITE(*,*) 'Enter dy for input: '  !Tamara
C+	 	read(*,*) idy					   !Tamara
       mndy=im(imn)
  987	format(I2)
	glat=90.5
	DO i=1,180
	glat=glat-1.0
	glats(i)=glat
	ENDDO
C
	glon=-180.5
	do i=0,359
	glon=glon+1.0
	glons(i)=glon
	enddo
CC	 )
CC Day-to-day cycle
CC
      DO 123 idy=1,mndy
  255	call blet2(idy,ady)
       outfile(21:22)=ADY
C	
C
	lda=ndoy(iyr,imn,idy)
  178	call blet3(lda,ADAY)
C
C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
	IRUN=0 ! 
	iut0=0 ! 
C	infile='c:\jplmaps\gethighresjpl\DATA\IONEX\YEAR\jpliDDD0.iYR'
	infile(46:48)=ADAY					 !Tamara
	OPEN(11,file=infile,action='READ')
C
C        d:\UTEC\YEAR\MN\tiMNDDUTMM.jYR
  118	format(A4)
cc	pause  ' '
C
C =========================================
	do k=0,359
	txx(k)=0.	! output tec for -179.5, -178.5,...00,...,179.5 deg.E
	do i=0,359
	itec(i,k)=0	! output TEC lat x long array 
	enddo
	enddo
c
  198 format(1X,A39,1X,A39)
c
CC
   27 format(A80)
CC
C  +++++++++++++++++++++++++++++
		iflag=0
C
C?   11	continue     ! 
C+++
C read-write HEADER lines:
	DO iline=1,16
	read (11,27,err=33,end=33) par 
   29	write(*,27) par
	enddo
C end headlines
CC
CC Cycle on UT
       DO 124 iut=0,23
	 call blet2(iut,AUT)
	 outfile(23:24)=AUT
CC
CC Cycle on minute:
       DO 125 imm=0,45,15
	 call blet2(imm,AMM)
	 outfile(25:26)=AMM	         
	OPEN(12,FILE=OUTFILE) !TEC results map for UT.MM
C Constant for start UT of map
c-	ih0=-1
c- 1113	idelh=1
c-	iruns=24
c-	iutend=23
C  Start of daily selection for given day:
c-		ihr=0              ! start of 1-hr bins
C
c ***************************************************************
C start cycle on hr-to-hr input:
    2	READ (11,187,END=33,ERR=2) txt,txt1  ! 
  187	format(A60,A20)
	if (txt1.eq.start) then
	 write(*,187) txt,txt1
      goto 88
	               else
	write(*,*) txt,txt1
	goto 2
	pause ' '
	STOP
	endif
C??	enddo									 !!
  88	continue
C
C Start of reading VTEC ========================
   89 format(2X,A4,4X,A2,4X,A2,2(4X,I2))
   86 format(2X,A4,4X,A2,4X,A2,2(4X,I2),2(5X,'0'),18X,A16)
   	read (11,89,end=9,err=9) ryear,rmn,rdy,iut,imin
	 write(*,86) ryear,rmn,rdy,iut,imin,epoch
C
C Start of reading VTEC ========================
	call subtread1x1(11,tec_cur) 
C
CADD++++++++++++++++++++++++++++++++++++++++++++++++
C
C OUTPUT OF RESULTS
	glat=-90.5
	DO nnlat=1,180		!Output for glats=-89.5,88.5,..., 89.5
	glat=glat+1.0
C
	do kk=0,359
      itec(nnlat,kk)=nint(tec_cur(nnlat,kk))
	enddo
C
C-	write(*,182) (itec(nnlat,k),k=0,359)
	write(12,182) (itec(nnlat,k),k=0,359)
	ENDDO
	close(12)
  125 continue   ! End calculation for given MM
  124 continue   ! End calculation for given UT
C
C
 182	format(360(1X,I4))							
C	pause ' '
C++++++++++++++++++++++++++++
C 
	close(unit=11)
  123 continue   ! End calculation for day-to-day cycle

		goto 33	   ! end of calculations
C
c	write (*,888) alat,alon,aday
c  888	format(1X,' alat=',A3,' alon=',A3,' day=',A3)

    9 CONTINUE
      if (irun.eq.0) then
       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
 	pause ' '
	goto 35
      endif

   33 CONTINUE
   35      write(*,*) infile,outfile
C temp
	close(unit=12)
	idy=idy+1
crem	if (idy.le.im(imn)) then
crem	goto 255
crem	endif
      pause ' ' 
      STOP
       END

C***********************************************************
	subroutine SUBTREAD1x1(nn,yy)
C                                                             ! Nov. 2012   
C
C   EXTRACT TEC FROM IONEX 1x1 format to array yy(glat,glon) relevant to IONEX format
c
C
C	  txx(1,0:359) - prec lat TEC
C	  txx(2,0:359) - cur lat TEC
c
      DIMENSION txx(2,0:359),yy(180,0:359),xxx(16)
	character*60 txt

  90	format(3X,F5.1,A60)
180	format(16(1X,F4.0))
179	format(8(1X,F4.0))

	do j=1,3
	do k=0,179
	txx(j,k)=0.
	enddo
	enddo
	alat=90.5	! resuts alat
	trem=20.
CC
CC Cycle on reading glats +89.5...-89.5
CC
	DO 20 ii=1,180 ! cycle on output lats
	alat=alat-1.0  ! results alat
   10	read(nn,90,err=2,end=9) glat,txt
C
	do j=1,22
	j1=(j-1)*16
    1	READ (nn,180,END=9,ERR=2) (xxx(i),i=1,16)
	do k=1,16
	if ((xxx(k).le.0.).or.(xxx(k).gt.9990.)) then
	if (txx(1,j1+k-1).gt.0.) then
	xxx(k)=txx(1,j1+k-1)	! replace wrong TEC
	                          else
	xxx(k)=trem ! replace wrong TEC
	endif
	                                       endif
	txx(2,j1+k-1)=xxx(k)
	trem=xxx(k)
	enddo
	enddo
	READ (nn,179,END=9,ERR=2) (xxx(i),i=1,8)
		do k=1,8
	if ((xxx(k).le.0.).or.(xxx(k).gt.9990.)) then
	if (txx(1,j1+k-1).gt.0.) then
	xxx(k)=txx(1,351+k)	! replace wrong TEC
	                          else
	xxx(k)=trem ! replace wrong TEC
	endif
	                                       endif
C	txx(2,175+k)=xxx(k)
	txx(2,351+k)=xxx(k)
	trem=xxx(k)
	enddo
C
C 
	do k=0,359
	txx(1,k)=txx(2,k) !Move TEC(current lat) => TEC(prec lat)
	yy(180-ii+1,k)=txx(2,k) ! Keep TEC(-89.5...+89.5)
	enddo
   20	continue
	goto 22
C ============================================	
    9	write(*,*) ' end of file'
	pause ' '
	goto 22
    2	write(*,*) ' error in input file'
 	pause ' '
C
   22 continue
   	return
	end
C
C ===============================================================
