      program jpltecw
C      subroutine subjpltec(ayear,amn,ady)
C..........................................................Mar 2022
C Match unknown JPL GIM-TEC to GIM-W map of UPS for given day
C input: d:\graf\dwu\YY\MN\ut\wcmmddut00.uYR
C input: d:\graf\dtc\YY\MN\ut\tammddut.jYR
C output:d:\graf\dtc\YY\MN\ut\tummddut.jYR
C
      character*2 ayr,amn,aut,ady
      character*45 infilet,infilew,outfile
	character*4 AYEAR
	dimension iw(0:72),tec(0:72),teca(0:72),dtec(9),idw(9),ites(0:72)
	DATA idw/-4,-3,-2,-1,0,1,2,3,4/
	DATA dtec/0.50,0.59,0.79,0.95,1.0,1.05,1.26,1.69,2.0/
C
	AYEAR='2022'
	iyr=22
	write(*,*) ' Enter MN'
	read(*,*) iMN
	write(*,*) ' Enter DY'
	read(*,*) iDY
	call blet2(imn,AMN)
	call blet2(idy,ADY)

       infilet='d:\web\graf\dtc\YY\MN\ut\tammddut.jYR'
	 infilew='d:\web\graf\dwu\YY\MN\ut\wcmmddut00.uYR'
	 outfile='d:\web\graf\dtc\YY\MN\ut\tummddut.jYR'
      AYR=AYEAR(3:4)
	infilet(17:18)=AYR
	infilew(17:18)=AYR
	outfile(17:18)=AYR
	infilet(20:21)=AMN
	infilew(20:21)=AMN
	outfile(20:21)=AMN
	infilet(28:29)=AMN
	infilew(28:29)=AMN
	outfile(28:29)=AMN
	infilet(30:31)=ADY
	infilew(30:31)=ADY
	outfile(30:31)=ADY
	infilet(36:37)=AYR
	infilew(38:39)=AYR
	outfile(36:37)=AYR
C
C Cycle on UT
C
   30	format(73(1X,F4.1))
   31	format(73(1X,I4))
      DO 50 iut=0,23
	call blet2(iut,AUT)
	infilet(32:33)=AUT
	infilew(32:33)=AUT
	outfile(32:33)=AUT
C
        OPEN(11,file=infilet,action='READ')
	OPEN(12,file=infilew,action='READ')
	OPEN(13,file=outfile)
C
C cycle on LATI
      DO 51 lat=1,71
	read(11,30,end=52) (teca(k),k=0,72)
	read(12,31,end=53) (iw(k),k=0,72)
	do k=0,72
	do i=1,9
	if (iw(k).eq.idw(i)) then
	coef=dtec(i)
      tec(k)=teca(k)*coef
	ites(k)=nint(tec(k)*10.)
	exit
	endif
	enddo
	enddo
C	write(*,31) (ites(k),k=0,72)
	write(13,31) (ites(k),k=0,72)
   51 continue
   52 close(11)
   53 close(12)
      close(13)
   50 CONTINUE
      	 call submapdy(3,iyr,imn,idy) 
C
        pause ' '
	STOP
C      RETURN
	END

