C.........................................................Feb. 2015
C
c VERIFICATION OF MEDIAN ================
      subroutine submedstd(ndnr,ncol)
C
C Median smed, and standard deviation std for -7 days at specified hour
C
C Input file: CC(ndnr,0:72) for ndnr days, 
C ncol=72 for longitudes -180:5:180 or ncol=23 for hours UT=0,1,...,23
C Number days for median : ndnr=7	(7 preceding days)
C Output arrays: SMED(0:72) for longitudes -180:5:180 (or SMED(0:23) for UT hours)
C
	DIMENSION CC(7,0:72),SMED(0:72),STD(0:72),X1(7),X2(7)
		COMMON /BL1/CC,SMED,STD
C "MEDIAN:"
       DO 1030 M=0,ncol
      MM=0
      DO N=1,ndnr
      X1(N)=CC(N,M)
      ENDDO 
  880 XX=0.
CREM MAX X1(N)
  890 DO N=1,ndnr
  900 IF (XX.lt.X1(N)) THEN 
      XX=X1(N)
	ENDIF
      ENDDO      !N
  920 IF (XX.eq.0) GOTO 980
C
  930 DO 960 N=1,ndnr
      IF (X1(N).lt.XX) GOTO 960
      MM=MM+1 
      X2(MM)=XX 
	X1(N)=0.
  960 CONTINUE      ! N
  970 IF (MM.lt.NDNR) GOTO 880
  980 XMM=FLOAT(MM)
      XD1=XMM/2.
      ND1=INT(XD1)
	CD1=FLOAT(ND1) 
      ND2=ND1+1 
      IF (CD1.LT.XD1) THEN 
	XMD=X2(ND2)
	else
	XMD=(X2(ND1)+X2(ND2))/2.
	ENDIF
C
      SMED(M)=XMD
C Standard deviation:
	sum=0.
	do ii=1,ndnr
	sum=sum+(x2(ii)-xmd)**2
	enddo
	STD(M)=sqrt(sum/ndnr)

 1030 CONTINUE
C 
c
 1050 RETURN
      END